<?php

namespace App\Lib\Unifaun;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ConsignmentList' => '\\App\\Lib\\Unifaun\\StructType\\ConsignmentList',
            'Consignment' => '\\App\\Lib\\Unifaun\\StructType\\Consignment',
            'Part' => '\\App\\Lib\\Unifaun\\StructType\\Part',
            'Address' => '\\App\\Lib\\Unifaun\\StructType\\Address',
            'Communication' => '\\App\\Lib\\Unifaun\\StructType\\Communication',
            'Reference' => '\\App\\Lib\\Unifaun\\StructType\\Reference',
            'ConsignmentReference' => '\\App\\Lib\\Unifaun\\StructType\\ConsignmentReference',
            'GoodsGroup' => '\\App\\Lib\\Unifaun\\StructType\\GoodsGroup',
            'GoodsGroupItem' => '\\App\\Lib\\Unifaun\\StructType\\GoodsGroupItem',
            'GoodsItem' => '\\App\\Lib\\Unifaun\\StructType\\GoodsItem',
            'PackageIds' => '\\App\\Lib\\Unifaun\\StructType\\PackageIds',
            'DangerousGoods' => '\\App\\Lib\\Unifaun\\StructType\\DangerousGoods',
            'Category' => '\\App\\Lib\\Unifaun\\StructType\\Category',
            'TransportProduct' => '\\App\\Lib\\Unifaun\\StructType\\TransportProduct',
            'Target' => '\\App\\Lib\\Unifaun\\StructType\\Target',
            'Contents' => '\\App\\Lib\\Unifaun\\StructType\\Contents',
            'ContentItem' => '\\App\\Lib\\Unifaun\\StructType\\ContentItem',
            'GoodsInvoice' => '\\App\\Lib\\Unifaun\\StructType\\GoodsInvoice',
            'InvoiceNote' => '\\App\\Lib\\Unifaun\\StructType\\InvoiceNote',
            'Note' => '\\App\\Lib\\Unifaun\\StructType\\Note',
            'PaymentInstruction' => '\\App\\Lib\\Unifaun\\StructType\\PaymentInstruction',
            'AddService' => '\\App\\Lib\\Unifaun\\StructType\\AddService',
            'Tod' => '\\App\\Lib\\Unifaun\\StructType\\Tod',
            'Cod' => '\\App\\Lib\\Unifaun\\StructType\\Cod',
            'Pickup' => '\\App\\Lib\\Unifaun\\StructType\\Pickup',
            'Delivery' => '\\App\\Lib\\Unifaun\\StructType\\Delivery',
            'Transport' => '\\App\\Lib\\Unifaun\\StructType\\Transport',
            'CustomsClearance' => '\\App\\Lib\\Unifaun\\StructType\\CustomsClearance',
            'Sortcode' => '\\App\\Lib\\Unifaun\\StructType\\Sortcode',
            'Insurance' => '\\App\\Lib\\Unifaun\\StructType\\Insurance',
            'email' => '\\App\\Lib\\Unifaun\\StructType\\Email',
            'mobile' => '\\App\\Lib\\Unifaun\\StructType\\Mobile',
            'ServiceOption' => '\\App\\Lib\\Unifaun\\StructType\\ServiceOption',
            'ServiceOptionItem' => '\\App\\Lib\\Unifaun\\StructType\\ServiceOptionItem',
            'Error' => '\\App\\Lib\\Unifaun\\StructType\\Error',
            'AuthenticationToken' => '\\App\\Lib\\Unifaun\\StructType\\AuthenticationToken',
            'ServiceException' => '\\App\\Lib\\Unifaun\\StructType\\ServiceException',
            'ConsignmentResult' => '\\App\\Lib\\Unifaun\\StructType\\ConsignmentResult',
            'Document' => '\\App\\Lib\\Unifaun\\StructType\\Document',
            'Receipt' => '\\App\\Lib\\Unifaun\\StructType\\Receipt',
            'Notification' => '\\App\\Lib\\Unifaun\\StructType\\Notification',
            'PrintResult' => '\\App\\Lib\\Unifaun\\StructType\\PrintResult',
            'PriceResultList' => '\\App\\Lib\\Unifaun\\StructType\\PriceResultList',
            'PriceResult' => '\\App\\Lib\\Unifaun\\StructType\\PriceResult',
            'CalculatedPrice' => '\\App\\Lib\\Unifaun\\StructType\\CalculatedPrice',
            'PriceDetail' => '\\App\\Lib\\Unifaun\\StructType\\PriceDetail',
            'archive' => '\\App\\Lib\\Unifaun\\StructType\\Archive',
            'archiveResponse' => '\\App\\Lib\\Unifaun\\StructType\\ArchiveResponse',
            'book' => '\\App\\Lib\\Unifaun\\StructType\\Book',
            'bookResponse' => '\\App\\Lib\\Unifaun\\StructType\\BookResponse',
            'consolidate' => '\\App\\Lib\\Unifaun\\StructType\\Consolidate',
            'consolidateResponse' => '\\App\\Lib\\Unifaun\\StructType\\ConsolidateResponse',
            'copy' => '\\App\\Lib\\Unifaun\\StructType\\Copy',
            'copyResponse' => '\\App\\Lib\\Unifaun\\StructType\\CopyResponse',
            'create' => '\\App\\Lib\\Unifaun\\StructType\\Create',
            'createResponse' => '\\App\\Lib\\Unifaun\\StructType\\CreateResponse',
            'delete' => '\\App\\Lib\\Unifaun\\StructType\\Delete',
            'deleteResponse' => '\\App\\Lib\\Unifaun\\StructType\\DeleteResponse',
            'findByConsignmentId' => '\\App\\Lib\\Unifaun\\StructType\\FindByConsignmentId',
            'findByConsignmentIdResponse' => '\\App\\Lib\\Unifaun\\StructType\\FindByConsignmentIdResponse',
            'findByConsignmentNo' => '\\App\\Lib\\Unifaun\\StructType\\FindByConsignmentNo',
            'findByConsignmentNoResponse' => '\\App\\Lib\\Unifaun\\StructType\\FindByConsignmentNoResponse',
            'findByConsignorReference' => '\\App\\Lib\\Unifaun\\StructType\\FindByConsignorReference',
            'findByConsignorReferenceResponse' => '\\App\\Lib\\Unifaun\\StructType\\FindByConsignorReferenceResponse',
            'findById' => '\\App\\Lib\\Unifaun\\StructType\\FindById',
            'findByIdResponse' => '\\App\\Lib\\Unifaun\\StructType\\FindByIdResponse',
            'findByPackageId' => '\\App\\Lib\\Unifaun\\StructType\\FindByPackageId',
            'findByPackageIdResponse' => '\\App\\Lib\\Unifaun\\StructType\\FindByPackageIdResponse',
            'findByReference' => '\\App\\Lib\\Unifaun\\StructType\\FindByReference',
            'findByReferenceResponse' => '\\App\\Lib\\Unifaun\\StructType\\FindByReferenceResponse',
            'findByTransactionId' => '\\App\\Lib\\Unifaun\\StructType\\FindByTransactionId',
            'findByTransactionIdResponse' => '\\App\\Lib\\Unifaun\\StructType\\FindByTransactionIdResponse',
            'getTransactionId' => '\\App\\Lib\\Unifaun\\StructType\\GetTransactionId',
            'getTransactionIdResponse' => '\\App\\Lib\\Unifaun\\StructType\\GetTransactionIdResponse',
            'isArchived' => '\\App\\Lib\\Unifaun\\StructType\\IsArchived',
            'isArchivedResponse' => '\\App\\Lib\\Unifaun\\StructType\\IsArchivedResponse',
            'isBooked' => '\\App\\Lib\\Unifaun\\StructType\\IsBooked',
            'isBookedResponse' => '\\App\\Lib\\Unifaun\\StructType\\IsBookedResponse',
            'isComplete' => '\\App\\Lib\\Unifaun\\StructType\\IsComplete',
            'isCompleteResponse' => '\\App\\Lib\\Unifaun\\StructType\\IsCompleteResponse',
            'isOrdered' => '\\App\\Lib\\Unifaun\\StructType\\IsOrdered',
            'isOrderedResponse' => '\\App\\Lib\\Unifaun\\StructType\\IsOrderedResponse',
            'isPrintable' => '\\App\\Lib\\Unifaun\\StructType\\IsPrintable',
            'isPrintableResponse' => '\\App\\Lib\\Unifaun\\StructType\\IsPrintableResponse',
            'isPrinted' => '\\App\\Lib\\Unifaun\\StructType\\IsPrinted',
            'isPrintedResponse' => '\\App\\Lib\\Unifaun\\StructType\\IsPrintedResponse',
            'order' => '\\App\\Lib\\Unifaun\\StructType\\Order',
            'orderResponse' => '\\App\\Lib\\Unifaun\\StructType\\OrderResponse',
            'print' => '\\App\\Lib\\Unifaun\\StructType\\_print',
            'printLabel' => '\\App\\Lib\\Unifaun\\StructType\\PrintLabel',
            'printWaybill' => '\\App\\Lib\\Unifaun\\StructType\\PrintWaybill',
            'printResponse' => '\\App\\Lib\\Unifaun\\StructType\\PrintResponse',
            'save' => '\\App\\Lib\\Unifaun\\StructType\\Save',
            'saveResponse' => '\\App\\Lib\\Unifaun\\StructType\\SaveResponse',
            'split' => '\\App\\Lib\\Unifaun\\StructType\\Split',
            'splitResponse' => '\\App\\Lib\\Unifaun\\StructType\\SplitResponse',
            'ConsignmentServiceException' => '\\App\\Lib\\Unifaun\\StructType\\ConsignmentServiceException',
            'getCalculatedPrice' => '\\App\\Lib\\Unifaun\\StructType\\GetCalculatedPrice',
            'getCalculatedPriceResponse' => '\\App\\Lib\\Unifaun\\StructType\\GetCalculatedPriceResponse',
            'GoodsItemResult' => '\\App\\Lib\\Unifaun\\StructType\\GoodsItemResult',
            'cancelResult' => '\\App\\Lib\\Unifaun\\StructType\\CancelResult',
            'addGoodsRow' => '\\App\\Lib\\Unifaun\\StructType\\AddGoodsRow',
            'addGoodsRowResponse' => '\\App\\Lib\\Unifaun\\StructType\\AddGoodsRowResponse',
            'deletePackageId' => '\\App\\Lib\\Unifaun\\StructType\\DeletePackageId',
            'deletePackageIdResponse' => '\\App\\Lib\\Unifaun\\StructType\\DeletePackageIdResponse',
            'cancel' => '\\App\\Lib\\Unifaun\\StructType\\Cancel',
            'cancelResponse' => '\\App\\Lib\\Unifaun\\StructType\\CancelResponse',
        );
    }
}
